Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: repository update problem

  1. #1

    Default repository update problem

    hello, people..

    i am getting this message on updates, yast, etc..:

    PackageKit Error repo-not-available: File '/repodata/repomd.xml' not found on medium 'http://download.opensuse.org/repositories/KDE:/43/openSUSE_11.2/'

    here is "zypper lr":

    | Alias | Name | Enabled | Refresh
    ---+---------------------------------+--------------------------------------------+---------+--------
    1 | KDE:KDE4:Community | KDE:KDE4:Community | Yes | Yes
    2 | Libdvdcss repository | Libdvdcss repository | Yes | Yes
    3 | X11:Compiz | X11:Compiz | Yes | Yes
    4 | X11GL | X11GL | Yes | Yes
    5 | download.opensuse.org-Community | openSUSE BuildService - KDE:KDE4:Community | Yes | Yes
    6 | ftp.skynet.be-suse | Packman Repository | Yes | Yes
    7 | kde4_core_repos | kde4 core repos | Yes | Yes
    8 | repo-debug | openSUSE-11.2-Debug | Yes | Yes
    9 | repo-non-oss | openSUSE-11.2-Non-Oss | Yes | Yes
    10 | repo-oss | openSUSE-11.2-Oss | Yes | Yes
    11 | repo-source | openSUSE-11.2-Source | Yes | Yes
    12 | repo-update | openSUSE-11.2-Update | Yes | Yes


    ...this issue is a drag, since its preventing me from installing a thing or two..

    is there anyone with info that could help me?
    is there any more info that you need me to provide in order for you to help me?

    ..thanks in advance, folks.
    --sbkra

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,734
    Blog Entries
    20

    Default Re: repository update problem

    Please post result of this

    Code:
    zypper lr -d
    The kde43 repos are dead, ended, no more!

    I'll advise what to add when you post zypper info
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3

    Default Re: repository update problem

    thanks, caf..
    ...which is associated with kde3??

    zypper lr -d:

    | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    ---+---------------------------------+--------------------------------------------+---------+---------+----------+--------+-------------------------------------------------------------------------------+--------
    1 | KDE:KDE4:Community | KDE:KDE4:Community | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.2 |
    2 | Libdvdcss repository | Libdvdcss repository | Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/11.2/ |
    3 | X11:Compiz | X11:Compiz | Yes | Yes | 99 | rpm-md | Index of /repositories/X11:/Compiz/openSUSE_11.2 |
    4 | X11GL | X11GL | Yes | Yes | 99 | rpm-md | Index of /repositories/X11:/XGL/openSUSE_11.2 |
    5 | download.opensuse.org-Community | openSUSE BuildService - KDE:KDE4:Community | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.2 |
    6 | ftp.skynet.be-suse | Packman Repository | Yes | Yes | 99 | rpm-md | Index of /pub/packman/suse/11.2 |
    7 | kde4_core_repos | kde4 core repos | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_11.2/ |
    8 | repo-debug | openSUSE-11.2-Debug | Yes | Yes | 99 | yast2 | Index of /debug/distribution/11.2/repo/oss |
    9 | repo-non-oss | openSUSE-11.2-Non-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/11.2/repo/non-oss |
    10 | repo-oss | openSUSE-11.2-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/11.2/repo/oss |
    11 | repo-source | openSUSE-11.2-Source | Yes | Yes | 99 | yast2 | Index of /source/distribution/11.2/repo/oss |
    12 | repo-update | openSUSE-11.2-Update | Yes | Yes | 99 | rpm-md | Index of /update/11.2


    #7 is the one mentioned in the error message.
    ...to help me try to diagnose any similar issues in the future, could you tell me what you are looking for, and if you found the problem/solution, how you've found them?
    thanks alot, once again

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,734
    Blog Entries
    20

    Default Re: repository update problem

    Please remove repo 7, 5, 2, 1

    Here is a management guide
    Repository Management - openSUSE Forums

    Now add the following

    KDE4 Stable desktop
    Index of /repositories/KDE:/KDE4:/STABLE:/Desktop/openSUSE_11.2

    KDE4 Commuity
    Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.2

    Now do this on stable desktop and community
    ImageBam - Fast, Free Image Hosting and Photo Sharing

    accept
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,734
    Blog Entries
    20

    Default Re: repository update problem

    ...to help me try to diagnose any similar issues in the future, could you tell me what you are looking for, and if you found the problem/solution, how you've found them?
    thanks alot, once again
    it's just that the kde43 repos were closed down, so there is nothing there. It will not happen with the stable repos
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  6. #6

    Default Re: repository update problem

    thanks for the help and the explanation.

    i've done what you said. all appears fine.

    ..my question now is, in other repositories there are programs that want to be updated (blue font in yast), such as vlc and mplayeer, and others. should i update those, or should i just leave it as it is, according to the process you just helped me through? i mean, it seemed like this process downgraded some programs; so by updating those blue fonts, would this essentially undo some of what was just done?

  7. #7
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,734
    Blog Entries
    20

    Default Re: repository update problem

    Do this on Packman

    http://tinyurl.com/yejwull
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  8. #8

    Default Re: repository update problem

    thanks, yet again, caf..

    ..everything is definitely in order now. from as far as i can see, there are no conflicts in the repos.
    ..i have also gained in knowledge, or at least awareness, about the repo thing. however much i knew, i now know more, due to your help.

    last question, though. the little updater app that sat in my panel is gone. it was a little convenient. should it be gone now, according to the repo changes? or is that something that i can turn on/off?

  9. #9
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,734
    Blog Entries
    20

    Default Re: repository update problem

    The applet you are referring to is something I don't use. I configure it not to start at boot. It should still be there unless you have configured it to not start?
    Did you re-boot since all these changes?
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  10. #10

    Default Re: repository update problem

    yes, i rebooted.
    however, i never changed any settings manually, for the applet to not be there. its not a big deal whatsoever. but, it is just a bit odd to me for it to be gone when i didnt specify so.

    similarly, my screensaver came on a few minutes ago, and i turned it off a couple months ago. the settings still indicate that it shouldnt be coming on.
    ...strange.

    these arent big deals for me....unless you, with more op.su. knowledge than me, think it could or should be.

    either way, thanks for your help with the update issue!

    -sbkra

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •